Contract

Get all contracts

get

Retrieve a paginated list of contracts, provisioned under the Master Reseller contract. Default limit is the first 50 items; use pagination query parameters for listing more items.

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Query parameters
offsetinteger · int32Optional

The first element (from the complete list of the elements) to include in the response (used together with limit for pagination).

Default: 0
limitinteger · int32 · min: 1 · max: 5000Optional

The maximum number of elements to return (use together with offset for pagination).

Default: 50
filter.statusstringOptional

Filter the list by contract status [BILLABLE, CEASED, REJECTED].

Responses
chevron-right
200

Success

application/json
offsetnumberOptional

The offset (if specified in the request).

Example: 0
limitnumberOptional

The limit (if specified in the request).

Example: 1000
get
/contracts

Create new contract

post
Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Body
namestringRequired

name of the contract

resellerReferencestringOptional

reseller reference of the contract

Responses
post
/contracts

Update contract name

put
Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
contractNumberinteger · int64Required
Body
stringOptional
Responses
chevron-right
200

Success

application/json
put
/contracts/{contractNumber}/name

Update resource limits for contract

put
Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
contractNumberinteger · int64Required
Body
ramServerMaxinteger · int32Required

maximum ram per virtual machine

cpuServerMaxinteger · int32Required

maximum number of cpu per virtual machine

hddVolumeMaxSizeinteger · int32Required

maximum hdd volume size

ssdVolumeMaxSizeinteger · int32Required

maximum ssd volume size

ramContractMaxinteger · int32Required

maximum ram per contract

cpuContractMaxinteger · int32Required

maximum cpu per contract

hddVolumeContractMaxSizeinteger · int32Required

maximum hhd volume per contract

ssdVolumeContractMaxSizeinteger · int32Required

maximum ssd volume per contract

ipsinteger · int32Required

maximum ips per contract

Responses
chevron-right
200

Success

application/json
put
/contracts/{contractNumber}/resourcelimits

Find contract by ID

get
Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
contractNumberinteger · int64Required
Responses
chevron-right
200

Success

application/json
idstringRead-onlyOptional

The resource's unique identifier

Example: 15514
hrefstring · uriRead-onlyOptional

URI for specific Contract

Example: https://api.ionos.com/reseller/v2/contract/15514
namestringOptional

name of the contract

resellerReferencestringOptional

reseller reference of the contract

statusstringOptional

status of the contract

get
/contracts/{contractNumber}

Update contract

put
Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
contractNumberinteger · int64Required
Body
namestringRequired

name of the contract

resellerReferencestringOptional

reseller reference of the contract

Responses
chevron-right
200

Success

application/json
put
/contracts/{contractNumber}

Last updated

Was this helpful?